POST/api/v1/annotations/queue

Claim next available queue item

Atomic claim of the next available item in a queue (uses optimistic locking via version column to prevent two raters claiming the same item — see ADR-0013).

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "queue_id": "00000000-0000-0000-0000-000000000000"
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "required": [
        "queue_id"
      ],
      "properties": {
        "queue_id": {
          "type": "string",
          "format": "uuid"
        }
      }
    }
  }
}

Response

200 example

{
  "success": true
}

All status codes

200Item claimed.
400(no description)
401(no description)
409No items available or all items already claimed.
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/annotations/queue \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "queue_id": "00000000-0000-0000-0000-000000000000" }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/annotations/queue",
  body: {
    "queue_id": "00000000-0000-0000-0000-000000000000"
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/annotations/queue",
    body={
    "queue_id": "00000000-0000-0000-0000-000000000000"
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/annotations/queue", map[string]any{"queue_id": "00000000-0000-0000-0000-000000000000"})
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Errors

400401409429

Other Evals endpoints